## org.apache.maven.plugins.site
Class ReportDocumentRenderer

    java.lang.Object
      org.apache.maven.plugins.site.ReportDocumentRenderer

All Implemented Interfaces:
  org.apache.maven.doxia.siterenderer.DocumentRenderer

    public class ReportDocumentRenderer

extends java.lang.Object
implements org.apache.maven.doxia.siterenderer.DocumentRenderer

Renders a Maven report.

Author:
  Brett Porter

Constructor Summary
`ReportDocumentRenderer(org.apache.maven.reporting.MavenReport report, org.apache.maven.doxia.sink.render.RenderingContext renderingContext, org.apache.maven.plugin.logging.Log log)`

Method Summary
`java.lang.String` `getOutputName()`
`org.apache.maven.doxia.sink.render.RenderingContext` `getRenderingContext()`
`boolean` `isExternalReport()`
`boolean` `isOverwrite()`
`void` `renderDocument(java.io.Writer writer, org.apache.maven.doxia.siterenderer.Renderer renderer, org.apache.maven.doxia.siterenderer.SiteRenderingContext siteRenderingContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportDocumentRenderer

    public ReportDocumentRenderer(org.apache.maven.reporting.MavenReport report,
                                  org.apache.maven.doxia.sink.render.RenderingContext renderingContext,
                                  org.apache.maven.plugin.logging.Log log)

Method Detail

### renderDocument

    public void renderDocument(java.io.Writer writer,
                               org.apache.maven.doxia.siterenderer.Renderer renderer,
                               org.apache.maven.doxia.siterenderer.SiteRenderingContext siteRenderingContext)
                        throws org.apache.maven.doxia.siterenderer.RendererException,
                               java.io.FileNotFoundException

  Specified by:
    `renderDocument` in interface `org.apache.maven.doxia.siterenderer.DocumentRenderer`
  Throws:
    `org.apache.maven.doxia.siterenderer.RendererException`
    `java.io.FileNotFoundException`

### getOutputName

    public java.lang.String getOutputName()

  Specified by:
    `getOutputName` in interface `org.apache.maven.doxia.siterenderer.DocumentRenderer`

### getRenderingContext

    public org.apache.maven.doxia.sink.render.RenderingContext getRenderingContext()

  Specified by:
    `getRenderingContext` in interface `org.apache.maven.doxia.siterenderer.DocumentRenderer`

### isOverwrite

    public boolean isOverwrite()

  Specified by:
    `isOverwrite` in interface `org.apache.maven.doxia.siterenderer.DocumentRenderer`

### isExternalReport

    public boolean isExternalReport()

  Returns:
    true if the current report is external, false otherwise

Copyright © 2011. All Rights Reserved.